package net.knarcraft.jarupdater.validation;

import org.junit.BeforeClass;
import org.junit.Test;

import static junit.framework.TestCase.assertFalse;
import static junit.framework.TestCase.assertTrue;

public class DownloadURLValidatorTest {

    private static Validator<String> validator;

    @BeforeClass
    public static void setUp() {
        validator = new DownloadURLValidator();
    }

    @Test
    public void validURLTest() {
        assertTrue(validator.validate("https://jenkins.knarcraft.net/file.jar"));
    }

    @Test
    public void validURLTest2() {
        assertTrue(validator.validate("https://knarcraft.net/file.jar"));
    }

    @Test
    public void invalidURLTest() {
        assertFalse(validator.validate("http://www.badsite.com/knarcraft.net"));
        assertFalse(validator.validate("https://www.badsite.com/knarcraft.net"));
    }

    @Test
    public void invalidURLTest2() {
        assertFalse(validator.validate("http://knarcraft.net.badsite.com/knarcraft.net"));
        assertFalse(validator.validate("https://knarcraft.net.badsite.com/knarcraft.net"));
    }

}
